package com.jsowell.pile.domain;

import com.jsowell.common.annotation.Excel;
import com.jsowell.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 第三方平台配置对象 thirdparty_setting_info
 *
 * @author jsowell
 * @date 2023-05-24
 */
public class ThirdPartySettingInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 对接类型（1-联联平台）
     */
    @Excel(name = "对接类型", readConverterExp = "1=-联联平台")
    private String type;

    /**
     * 对接平台url地址
     */
    @Excel(name = "url地址")
    private String urlAddress;

    /**
     * 站点id
     */
    @Excel(name = "站点id")
    private Long stationId;

    /**
     * 运营商id
     */
    @Excel(name = "运营商id")
    private String operatorId;

    /**
     * 运营商密钥
     */
    @Excel(name = "运营商密钥")
    private String operatorSecret;

    /**
     * 签名密钥
     */
    @Excel(name = "签名密钥")
    private String signSecret;

    /**
     * 消息密钥
     */
    @Excel(name = "消息密钥")
    private String dataSecret;

    /**
     * 消息密钥初始化向量
     */
    @Excel(name = "消息密钥初始化向量")
    private String dataSecretIv;

    /**
     * 删除标识
     */
    private String delFlag;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

    public String getUrlAddress() {
        return urlAddress;
    }

    public void setUrlAddress(String urlAddress) {
        this.urlAddress = urlAddress;
    }

    public void setStationId(Long stationId) {
        this.stationId = stationId;
    }

    public Long getStationId() {
        return stationId;
    }

    public void setOperatorId(String operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorId() {
        return operatorId;
    }

    public void setOperatorSecret(String operatorSecret) {
        this.operatorSecret = operatorSecret;
    }

    public String getOperatorSecret() {
        return operatorSecret;
    }

    public void setSignSecret(String signSecret) {
        this.signSecret = signSecret;
    }

    public String getSignSecret() {
        return signSecret;
    }

    public void setDataSecret(String dataSecret) {
        this.dataSecret = dataSecret;
    }

    public String getDataSecret() {
        return dataSecret;
    }

    public void setDataSecretIv(String dataSecretIv) {
        this.dataSecretIv = dataSecretIv;
    }

    public String getDataSecretIv() {
        return dataSecretIv;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
                .append("id", getId())
                .append("type", getType())
                .append("urlAddress", getType())
                .append("stationId", getStationId())
                .append("operatorId", getOperatorId())
                .append("operatorSecret", getOperatorSecret())
                .append("signSecret", getSignSecret())
                .append("dataSecret", getDataSecret())
                .append("dataSecretIv", getDataSecretIv())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdateBy())
                .append("delFlag", getDelFlag())
                .toString();
    }
}
